Ginkgo: gko::stop::ImplicitResidualNorm< ValueType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::stop::ImplicitResidualNorm< ValueType >::parameters_type Struct Reference
Inheritance diagram for gko::stop::ImplicitResidualNorm< ValueType >::parameters_type:
[legend]
Collaboration diagram for gko::stop::ImplicitResidualNorm< ValueType >::parameters_type:
[legend]

## Public Member Functions
parameters_type & | with_reduction_factor (remove_complex< ValueType > value)
template<typename... Args>
auto | with_baseline (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Factory >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
remove_complex< ValueType > | reduction_factor
| Implicit Residual norm goal.
mode | baseline {mode::rhs_norm}
| The quantity the reduction is relative to.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Factory >
using | factory

## Member Data Documentation

## ◆ baseline

template<typename ValueType = default_precision>

mode gko::stop::ImplicitResidualNorm< ValueType >::parameters_type::baseline {mode::rhs_norm}

The quantity the reduction is relative to.

Choices include "mode::rhs_norm", "mode::initial_resnorm" and "mode::absolute"

## ◆ reduction_factor

template<typename ValueType = default_precision>

remove_complex<ValueType> gko::stop::ImplicitResidualNorm< ValueType >::parameters_type::reduction_factor

Initial value:
{
5 * std ::numeric_limits<remove_complex<ValueType>>::epsilon()}

Implicit Residual norm goal.

The documentation for this struct was generated from the following file:

- ginkgo/core/stop/residual_norm.hpp